<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<title><?php
if ( is_single() ) { single_post_title(); }	  
elseif ( is_home() || is_front_page() ) { bloginfo('name'); print ' | '; bloginfo('description'); get_page_number(); }
elseif ( is_page() ) { single_post_title(''); }
elseif ( is_search() ) { bloginfo('name'); print __(' | Search results for ', 'dragonfly') . esc_html($s); get_page_number(); }
elseif ( is_404() ) { bloginfo('name'); print  __('| Not Found', 'dragonfly'); }
else { bloginfo('name'); wp_title('|'); get_page_number(); }
?></title>
<meta name="HandheldFriendly" content="True" />
  <meta name="MobileOptimized" content="320" />
  <meta http-equiv="cleartype" content="on"/>
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <!--styles -->
  <!--css3-mediaqueries-js - http://code.google.com/p/css3-mediaqueries-js/ - Enables media queries in some unsupported browsers-->
  <meta http-equiv="content-type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	
  <link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" />
  <link rel="shortcut icon" href="<?php get_stylesheet_directory_uri(); ?>/favicon.ico" />
	
  <?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>

  <?php wp_enqueue_script(
'html5shiv',
  get_template_directory_uri() . "/js/html5shiv.js"
  );?>

<?php wp_enqueue_script(
'respond',
  get_template_directory_uri() . "/js/respond.min.js"
  );?>

<?php wp_enqueue_script(
'mobile-only',
  get_template_directory_uri() . "/mobile-only.js",
  array('jquery'),
  '1.0.0'
  );
$l10n_obj = array(
		  'initial_more_button' => __('<button id="show-hide">More</button>', 'dragonfly'),
		  'change_more' => __('More', 'dragonfly'),
		  'change_less' => __('Less', 'dragonfly'),
		  'comments_show' => __('Show Comments', 'dragonfly'),
		  'comments_hide' => __('Hide Comments', 'dragonfly')
		  );
wp_localize_script('mobile-only', 'my_l10n_obj', $l10n_obj);
?>

<link rel="alternate" type="application/rss+xml" href="<?php bloginfo('rss2_url'); ?>" title="<?php printf( __( '%s latest posts', 'dragonfly' ), esc_html( get_bloginfo('name'), 1 ) ); ?>" />
  <link rel="alternate" type="application/rss+xml" href="<?php bloginfo('comments_rss2_url') ?>" title="<?php printf( __( '%s latest comments', 'dragonfly' ), esc_html( get_bloginfo('name'), 1 ) ); ?>" />
  <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

  <?php $options = get_option('dragonfly_theme_options'); if ( $options['color_scheme'] == 'blues' ) : ?>
  <link rel='stylesheet' type='text/css' href="<?php echo get_template_directory_uri(); ?>/blues.css" />
  <?php if ( $options['color_scheme'] == 'purples' ) : ?>
  <link rel='stylesheet' type='text/css' href="<?php echo get_template_directory_uri(); ?>/purples.css" />			
  <?php endif; ?>
  <?php endif; ?>

  <?php wp_head(); ?>
  </head>

  <body <?php body_class(); ?>>
<div id="wrapper" class="hfeed">

  <header id="header">
  <div id="branding">
  <div id="headline">
  <div id="blog-title"><span><a href="<?php echo home_url() ?>/" title="<?php bloginfo( 'name' ) ?>" rel="home"><?php bloginfo( 'name' ) ?></a></span></div>
  <?php if ( is_home() || is_front_page() ) { ?>
<h1 id="blog-description"><?php bloginfo( 'description' ) ?></h1>
   <?php } else { ?>	
<div id="blog-description"><?php bloginfo( 'description' ) ?></div>
   <?php } ?>
   </div><!-- #headline-->
   </div><!-- #branding -->
   <nav id="navbar">
   <!-- purple ribbon images-->
   <img src="<?php echo get_template_directory_uri() . '/images/ribbon-left-purple.png'?>" class="ribbon purp-rib l-ribbon-header" alt="" />
   <img src="<?php echo get_template_directory_uri() . '/images/ribbon-right-purple.png'?>" class="ribbon purp-rib r-ribbon-header" alt="" />
   <!-- blue ribbon images-->
   <img src="<?php echo get_template_directory_uri() . '/images/ribbon-left-blue.png'?>" class="ribbon blue-rib l-ribbon-header" alt="" />
   <img src="<?php echo get_template_directory_uri() . '/images/ribbon-right-blue.png'?>" class="ribbon blue-rib r-ribbon-header" alt="" />
   <!-- default green ribbon images-->
   <img src="<?php echo get_template_directory_uri() . '/images/ribbon-left.png'?>" class="ribbon l-ribbon-header" alt="" />
   <img src="<?php echo get_template_directory_uri() . '/images/ribbon-right.png'?>" class="ribbon r-ribbon-header" alt="" />
   <div id="access">
   <div class="skip-link" id="main-skip-link"><a href="#content" title="<?php _e( 'Skip to content', 'dragonfly' ) ?>"><?php _e( 'Skip to content', 'dragonfly' ) ?></a></div>
   <?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>		
   </div><!-- #access -->	
   </nav><!-- #navbar-->
   </header><!-- #header -->
   <aside id="top-widget-area">	
   <?php get_template_part( 'sidebar', 'top' ); ?>
   </aside><!-- #top-widget-area-->

   <div id="main">
   <!-- purple ribbon images-->
   <img src="<?php echo get_template_directory_uri() . '/images/ribbon-left-purple.png'?>" class="ribbon purp-rib l-ribbon-top" alt="" />
   <img src="<?php echo get_template_directory_uri() . '/images/ribbon-right-purple.png'?>" class="ribbon purp-rib r-ribbon-top" alt="" />
   <!-- blue ribbon images-->
   <img src="<?php echo get_template_directory_uri() . '/images/ribbon-left-blue.png'?>" class="ribbon blue-rib l-ribbon-top" alt="" />
   <img src="<?php echo get_template_directory_uri() . '/images/ribbon-right-blue.png'?>" class="ribbon blue-rib r-ribbon-top" alt="" />
   <!-- default green ribbon images-->
   <img src="<?php echo get_template_directory_uri() . '/images/ribbon-left.png'?>" class="ribbon l-ribbon-top" alt="" />
   <img src="<?php echo get_template_directory_uri() . '/images/ribbon-right.png'?>" class="ribbon r-ribbon-top" alt="" />
