<?php get_header(); ?>

<div id="container">	
  <div id="content">
    
    <?php if ( have_posts() ) : ?>
    
    <h1 class="page-title"><?php _e( 'Search Results for: ', 'dragonfly' ); ?><span><?php the_search_query(); ?></span></h1>
    
    <?php global $wp_query; $total_pages = $wp_query->max_num_pages; if ( $total_pages > 1 ) { ?>
    <nav id="nav-above" class="navigation">
      <div class="nav-previous"><?php next_posts_link(__( '<span class="meta-nav">&laquo;</span> Older posts', 'dragonfly' )) ?></div>
      <div class="nav-next"><?php previous_posts_link(__( 'Newer posts <span class="meta-nav">&raquo;</span>', 'dragonfly' )) ?></div>
    </nav><!-- #nav-above -->
    <?php } ?>							

    <?php while ( have_posts() ) : the_post() ?>

    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
      <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( __('Permalink to %s', 'dragonfly'), the_title_attribute('echo=0') ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>

      <?php if ( $post->post_type == 'post' ) { ?>									
      <div class="entry-meta">
	<span class="meta-prep meta-prep-author"><?php _e('By ', 'dragonfly'); ?></span>
	<span class="author vcard"><a class="url fn n" href="<?php echo get_author_posts_url( false, $authordata->ID, $authordata->user_nicename ); ?>" title="<?php printf( __( 'View all posts by %s', 'dragonfly' ), $authordata->display_name ); ?>"><?php the_author(); ?></a></span>
	<span class="meta-sep"> | </span>
	<span class="meta-prep meta-prep-entry-date"><?php _e('Published ', 'dragonfly'); ?></span>
	<span class="entry-date"><a href="<?php the_permalink(); ?>" title="<?php printf( __('Permalink to %s', 'dragonfly'), the_title_attribute('echo=0') ); ?>" rel="bookmark"><abbr class="published" title="<?php the_time('Y-m-d\TH:i:sO') ?>"><?php the_time( get_option( 'date_format' ) ); ?></abbr></a></span>
	<?php edit_post_link( __( 'Edit', 'dragonfly' ), "<span class=\"meta-sep\">|</span>\n\t\t\t\t\t\t<span class=\"edit-link\">", "</span>\n\t\t\t\t\t" ) ?>
      </div><!-- .entry-meta -->
      <?php } ?>
      
      <div class="entry-content">	
	<?php the_content( __( 'Continue reading <span class="meta-nav">&raquo;</span>', 'dragonfly' )	); ?>
	<?php wp_link_pages('before=<div class="page-link">' . __( 'Pages:', 'dragonfly' ) . '&after=</div>') ?>
      </div><!-- .entry-summary -->

      <?php if ( $post->post_type == 'post' ) { ?>									
      <div class="entry-utility">
	<span class="cat-links"><span class="entry-utility-prep entry-utility-prep-cat-links"><?php _e( 'Posted in ', 'dragonfly' ); ?></span><?php echo get_the_category_list(', '); ?></span>
	<span class="meta-sep"> | </span>
	<?php the_tags( '<span class="tag-links"><span class="entry-utility-prep entry-utility-prep-tag-links">' . __('Tagged ', 'dragonfly' ) . '</span>', ", ", "</span>\n\t\t\t\t\t\t<span class=\"meta-sep\">|</span>\n" ) ?>
	<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'dragonfly' ), __( '1 Comment', 'dragonfly' ), __( '% Comments', 'dragonfly' ) ) ?></span>
	<?php edit_post_link( __( 'Edit', 'dragonfly' ), "<span class=\"meta-sep\">|</span>\n\t\t\t\t\t\t<span class=\"edit-link\">", "</span>\n\t\t\t\t\t\n" ) ?>
      </div><!-- #entry-utility -->	
      <?php } ?>					
    </article><!-- #post-<?php the_ID(); ?> -->

    <?php endwhile; ?>

    <?php global $wp_query; $total_pages = $wp_query->max_num_pages; if ( $total_pages > 1 ) { ?>
    <nav id="nav-below" class="navigation">
      <div class="nav-previous"><?php next_posts_link(__( '<span class="meta-nav">&laquo;</span> Older posts', 'dragonfly' )) ?></div>
      <div class="nav-next"><?php previous_posts_link(__( 'Newer posts <span class="meta-nav">&raquo;</span>', 'dragonfly' )) ?></div>
    </nav><!-- #nav-below -->
    <?php } ?>			

    <?php else : ?>

    <article id="post-0" class="post no-results not-found">
      <h2 class="entry-title"><?php _e( 'Nothing Found', 'dragonfly' ) ?></h2>
      <div class="entry-content">
	<p><?php _e( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'dragonfly' ); ?></p>
	<?php get_search_form(); ?>						
      </div><!-- .entry-content -->
    </article>

    <?php endif; ?>	
    
    <div class="skip-link"><a href="#header" title="<?php _e( 'Return to Top', 'dragonfly' ) ?>"><?php _e( 'Return to Top', 'dragonfly' ) ?> &#8593;</a></div>
  </div><!-- #content -->		
</div><!-- #container -->

<?php get_sidebar(); ?>	
<?php get_footer(); ?>
